Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000034Mac OS X Inform application[IDEs] Installing Extensionspublic2010-06-14 14:102010-09-20 07:51
ReporterJuhana 
Assigned Toahunter 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000034: Installing extensions from the IDE doesn't update file menu
DescriptionIf you install extensions from the IDE, the File -> Open extension menu doesn't update if you have any other extensions by the same author installed.
Minimal Source Text To Reproduce
X.i7x
- - - -

Version 1 of X by John Doe begins here.

X ends here.

- - - -


Y.i7x
- - - -

Version 1 of Y by John Doe begins here.

Y ends here.

- - - -
Additional InformationSteps to reproduce:

0. Create the files X.i7x and Y.i7x per the source text field.
1. Start Inform
2. Click on ``Start a new project...''
3. Select ``Inform 7 -> New Project''
4. Click on ``Next''
5. Browse to file location
6. Click ``Create''
7. Choose File -> Install Extension and Select X.i7x.
8. Choose File -> Install Extension and Select Y.i7x.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000068)
Juhana (reporter)
2010-06-20 04:13

A small clarification: the only thing affected is the File menu, and only for the current session. The extension is installed properly and it shows in the documentation's "Installed Extensions" view. The Open extension menu is updated when the IDE is restarted.
(0000090)
ahunter (developer)
2010-06-20 09:46

Should be fixed in UI build 2751.

http://files.me.com/logicalshift/0wzktq [^]

- Issue History
Date Modified Username Field Change
2010-06-14 14:10 Juhana New Issue
2010-06-14 17:09 jmcgrew Status new => acknowledged
2010-06-16 12:03 jmcgrew Priority low => normal
2010-06-17 18:11 EmacsUser Additional Information Updated View Revisions
2010-06-17 18:13 EmacsUser Status acknowledged => confirmed
2010-06-17 18:13 EmacsUser Steps to Reproduce Updated View Revisions
2010-06-20 04:13 Juhana Note Added: 0000068
2010-06-20 07:28 graham Assigned To => ahunter
2010-06-20 07:28 graham Status confirmed => assigned
2010-06-20 09:46 ahunter Note Added: 0000090
2010-06-20 09:46 ahunter Status assigned => resolved
2010-06-20 09:46 ahunter Resolution open => fixed
2010-07-01 23:08 jmcgrew Fixed in Version => 6E72
2010-07-01 23:08 jmcgrew Status resolved => closed
2010-07-01 23:20 jmcgrew Fixed in Version => 6E72
2010-07-01 23:59 jmcgrew Product Version => 6E59
2010-09-20 07:51 EmacsUser Steps to Reproduce Updated View Revisions


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker